/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

/**
 * CSolicitarRCAttributes
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2021-11-25T08:46:21.631Z")
public class CSolicitarRCAttributes {
  @SerializedName("cf_seguimiento_contratacion_portal")
  private String cf_seguimiento_contratacion_portal = null;

  @SerializedName("cf_solicitar_rcid")
  private String cf_solicitar_rcid = null;

  @SerializedName("createdon")
  private String createdon = null;

  @SerializedName("cf_firma_electronica_fecha")
  private String cf_firma_electronica_fecha = null;

  @SerializedName("cf_firma_electronica_solicitud")
  private Boolean cf_firma_electronica_solicitud = null;

  @SerializedName("cf_firma_electronica_estatus")
  private String cf_firma_electronica_estatus = null;

  @SerializedName("cf_firma_electronica_documentoid")
  private String cf_firma_electronica_documentoid = null;

  @SerializedName("emailaddress")
  private String emailaddress = null;

  @SerializedName("cf_primer_nombre")
  private String cf_primer_nombre = null;

  @SerializedName("cf_segundo_nombre")
  private String cf_segundo_nombre = null;

  @SerializedName("cf_apellido_paterno")
  private String cf_apellido_paterno = null;

  @SerializedName("cf_apellido_materno")
  private String cf_apellido_materno = null;

  @SerializedName("cf_name")
  private String cf_name = null;

  @SerializedName("cf_calle_numero")
  private String cf_calle_numero = null;

  @SerializedName("cf_municipio")
  private String cf_municipio = null;

  @SerializedName("cf_codigo_postal")
  private String cf_codigo_postal = null;

  @SerializedName("cf_ciudad")
  private String cf_ciudad = null;

  @SerializedName("cf_telefono")
  private String cf_telefono = null;

  @SerializedName("cf_tipo_solicitante")
  private String cf_tipo_solicitante = null;

  @SerializedName("cf_rfc")
  private String cf_rfc = null;

  @SerializedName("cf_colonia_poblacion")
  private String cf_colonia_poblacion = null;

  @SerializedName("cf_estado")
  private String cf_estado = null;

  @SerializedName("cf_fecha_firma_autorizacion")
  private String cf_fecha_firma_autorizacion = null;

  @SerializedName("modifiedon")
  private String modifiedon = null;

/**
 * CSolicitarRCAttributes Estado
 */
  @SerializedName("statuscode")
  private String statuscode = null;

//statuscodename
  @SerializedName("statuscodename")
  private String statuscodename = null;
  
/**
 * CSolicitarRCAttributes Razon para el estado
 */
  @SerializedName("statecode")
  private String statecode = null;

  @SerializedName("cf_tipo_solicitantename")
  private String cf_tipo_solicitantename = null;

/**
 * Lookup Seguimiento contratacion
 */
  @SerializedName("cf_seguimiento_contratacion_portalname")
  private String cf_seguimiento_contratacion_portalname = null;
//cf_fraude_accionname
  @SerializedName("cf_fraude_accionname")
  private String cf_fraude_accionname = null;

  
  //cf_entrevistaname
  @SerializedName("cf_entrevistaname")
  private String cf_entrevistaname = null;
  
//statecodename
  @SerializedName("statecodename")
  private String statecodename = null;

  
  //cf_portal_etapaname
  @SerializedName("cf_portal_etapaname")
  private String cf_portal_etapaname = null;
  
//cf_clasificacion_prospectoname
  @SerializedName("cf_clasificacion_prospectoname")
  private String cf_clasificacion_prospectoname = null;





//_cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name
  @SerializedName("_cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name")
  private String _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name = null;

//cf_portal_estatusname
  @SerializedName("cf_portal_estatusname")
  private String cf_portal_estatusname = null;

  @SerializedName("Id")
  private String id = null;

  @SerializedName("result")
  private Boolean result = null;

  @SerializedName("message")
  private String message = null;

  public CSolicitarRCAttributes cf_seguimiento_contratacion_portal(String cf_seguimiento_contratacion_portal) {
    this.cf_seguimiento_contratacion_portal = cf_seguimiento_contratacion_portal;
    return this;
  }

   /**
   * Get cf_seguimiento_contratacion_portal
   * @return cf_seguimiento_contratacion_portal
  **/
  @ApiModelProperty(value = "")
  public String getcf_seguimiento_contratacion_portal() {
    return cf_seguimiento_contratacion_portal;
  }

  public void setcf_seguimiento_contratacion_portal(String cf_seguimiento_contratacion_portal) {
    this.cf_seguimiento_contratacion_portal = cf_seguimiento_contratacion_portal;
  }

  public CSolicitarRCAttributes cf_solicitar_rcid(String cf_solicitar_rcid) {
    this.cf_solicitar_rcid = cf_solicitar_rcid;
    return this;
  }

   /**
   * Get cf_solicitar_rcid
   * @return cf_solicitar_rcid
  **/
  @ApiModelProperty(value = "")
  public String getcf_solicitar_rcid() {
    return cf_solicitar_rcid;
  }

  public void setcf_solicitar_rcid(String cf_solicitar_rcid) {
    this.cf_solicitar_rcid = cf_solicitar_rcid;
  }

  public CSolicitarRCAttributes createdon(String createdon) {
    this.createdon = createdon;
    return this;
  }

   /**
   * Get createdon
   * @return createdon
  **/
  @ApiModelProperty(value = "")
  public String getCreatedon() {
    return createdon;
  }

  public void setCreatedon(String createdon) {
    this.createdon = createdon;
  }

  public CSolicitarRCAttributes cf_firma_electronica_fecha(String cf_firma_electronica_fecha) {
    this.cf_firma_electronica_fecha = cf_firma_electronica_fecha;
    return this;
  }

   /**
   * Get cf_firma_electronica_fecha
   * @return cf_firma_electronica_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_fecha() {
    return cf_firma_electronica_fecha;
  }

  public void setcf_firma_electronica_fecha(String cf_firma_electronica_fecha) {
    this.cf_firma_electronica_fecha = cf_firma_electronica_fecha;
  }

  public CSolicitarRCAttributes cf_firma_electronica_solicitud(Boolean cf_firma_electronica_solicitud) {
    this.cf_firma_electronica_solicitud = cf_firma_electronica_solicitud;
    return this;
  }

   /**
   * Get cf_firma_electronica_solicitud
   * @return cf_firma_electronica_solicitud
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_firma_electronica_solicitud() {
    return cf_firma_electronica_solicitud;
  }

  public void setcf_firma_electronica_solicitud(Boolean cf_firma_electronica_solicitud) {
    this.cf_firma_electronica_solicitud = cf_firma_electronica_solicitud;
  }

  public CSolicitarRCAttributes cf_firma_electronica_estatus(String cf_firma_electronica_estatus) {
    this.cf_firma_electronica_estatus = cf_firma_electronica_estatus;
    return this;
  }

   /**
   * Get cf_firma_electronica_estatus
   * @return cf_firma_electronica_estatus
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_estatus() {
    return cf_firma_electronica_estatus;
  }

  public void setcf_firma_electronica_estatus(String cf_firma_electronica_estatus) {
    this.cf_firma_electronica_estatus = cf_firma_electronica_estatus;
  }

  public CSolicitarRCAttributes cf_firma_electronica_documentoid(String cf_firma_electronica_documentoid) {
    this.cf_firma_electronica_documentoid = cf_firma_electronica_documentoid;
    return this;
  }

   /**
   * Get cf_firma_electronica_documentoid
   * @return cf_firma_electronica_documentoid
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_documentoid() {
    return cf_firma_electronica_documentoid;
  }

  public void setcf_firma_electronica_documentoid(String cf_firma_electronica_documentoid) {
    this.cf_firma_electronica_documentoid = cf_firma_electronica_documentoid;
  }

  public CSolicitarRCAttributes emailaddress(String emailaddress) {
    this.emailaddress = emailaddress;
    return this;
  }

   /**
   * Get emailaddress
   * @return emailaddress
  **/
  @ApiModelProperty(value = "")
  public String getEmailaddress() {
    return emailaddress;
  }

  public void setEmailaddress(String emailaddress) {
    this.emailaddress = emailaddress;
  }

  public CSolicitarRCAttributes cf_primer_nombre(String cf_primer_nombre) {
    this.cf_primer_nombre = cf_primer_nombre;
    return this;
  }

   /**
   * Get cf_primer_nombre
   * @return cf_primer_nombre
  **/
  @ApiModelProperty(value = "")
  public String getcf_primer_nombre() {
    return cf_primer_nombre;
  }

  public void setcf_primer_nombre(String cf_primer_nombre) {
    this.cf_primer_nombre = cf_primer_nombre;
  }

  public CSolicitarRCAttributes cf_segundo_nombre(String cf_segundo_nombre) {
    this.cf_segundo_nombre = cf_segundo_nombre;
    return this;
  }

   /**
   * Get cf_segundo_nombre
   * @return cf_segundo_nombre
  **/
  @ApiModelProperty(value = "")
  public String getcf_segundo_nombre() {
    return cf_segundo_nombre;
  }

  public void setcf_segundo_nombre(String cf_segundo_nombre) {
    this.cf_segundo_nombre = cf_segundo_nombre;
  }

  public CSolicitarRCAttributes cf_apellido_paterno(String cf_apellido_paterno) {
    this.cf_apellido_paterno = cf_apellido_paterno;
    return this;
  }

   /**
   * Get cf_apellido_paterno
   * @return cf_apellido_paterno
  **/
  @ApiModelProperty(value = "")
  public String getcf_apellido_paterno() {
    return cf_apellido_paterno;
  }

  public void setcf_apellido_paterno(String cf_apellido_paterno) {
    this.cf_apellido_paterno = cf_apellido_paterno;
  }

  public CSolicitarRCAttributes cf_apellido_materno(String cf_apellido_materno) {
    this.cf_apellido_materno = cf_apellido_materno;
    return this;
  }

   /**
   * Get cf_apellido_materno
   * @return cf_apellido_materno
  **/
  @ApiModelProperty(value = "")
  public String getcf_apellido_materno() {
    return cf_apellido_materno;
  }

  public void setcf_apellido_materno(String cf_apellido_materno) {
    this.cf_apellido_materno = cf_apellido_materno;
  }

  public CSolicitarRCAttributes cf_name(String cf_name) {
    this.cf_name = cf_name;
    return this;
  }

   /**
   * Get cf_name
   * @return cf_name
  **/
  @ApiModelProperty(value = "")
  public String getcf_name() {
    return cf_name;
  }

  public void setcf_name(String cf_name) {
    this.cf_name = cf_name;
  }

  public CSolicitarRCAttributes cf_calle_numero(String cf_calle_numero) {
    this.cf_calle_numero = cf_calle_numero;
    return this;
  }

   /**
   * Get cf_calle_numero
   * @return cf_calle_numero
  **/
  @ApiModelProperty(value = "")
  public String getcf_calle_numero() {
    return cf_calle_numero;
  }

  public void setcf_calle_numero(String cf_calle_numero) {
    this.cf_calle_numero = cf_calle_numero;
  }

  public CSolicitarRCAttributes cf_municipio(String cf_municipio) {
    this.cf_municipio = cf_municipio;
    return this;
  }

   /**
   * Get cf_municipio
   * @return cf_municipio
  **/
  @ApiModelProperty(value = "")
  public String getcf_municipio() {
    return cf_municipio;
  }

  public void setcf_municipio(String cf_municipio) {
    this.cf_municipio = cf_municipio;
  }

  public CSolicitarRCAttributes cf_codigo_postal(String cf_codigo_postal) {
    this.cf_codigo_postal = cf_codigo_postal;
    return this;
  }

   /**
   * Get cf_codigo_postal
   * @return cf_codigo_postal
  **/
  @ApiModelProperty(value = "")
  public String getcf_codigo_postal() {
    return cf_codigo_postal;
  }

  public void setcf_codigo_postal(String cf_codigo_postal) {
    this.cf_codigo_postal = cf_codigo_postal;
  }

  public CSolicitarRCAttributes cf_ciudad(String cf_ciudad) {
    this.cf_ciudad = cf_ciudad;
    return this;
  }

   /**
   * Get cf_ciudad
   * @return cf_ciudad
  **/
  @ApiModelProperty(value = "")
  public String getcf_ciudad() {
    return cf_ciudad;
  }

  public void setcf_ciudad(String cf_ciudad) {
    this.cf_ciudad = cf_ciudad;
  }

  public CSolicitarRCAttributes cf_telefono(String cf_telefono) {
    this.cf_telefono = cf_telefono;
    return this;
  }

   /**
   * Get cf_telefono
   * @return cf_telefono
  **/
  @ApiModelProperty(value = "")
  public String getcf_telefono() {
    return cf_telefono;
  }

  public void setcf_telefono(String cf_telefono) {
    this.cf_telefono = cf_telefono;
  }

  public CSolicitarRCAttributes cf_tipo_solicitante(String cf_tipo_solicitante) {
    this.cf_tipo_solicitante = cf_tipo_solicitante;
    return this;
  }

   /**
   * Get cf_tipo_solicitante
   * @return cf_tipo_solicitante
  **/
  @ApiModelProperty(value = "")
  public String getcf_tipo_solicitante() {
    return cf_tipo_solicitante;
  }

  public void setcf_tipo_solicitante(String cf_tipo_solicitante) {
    this.cf_tipo_solicitante = cf_tipo_solicitante;
  }

  public CSolicitarRCAttributes cf_rfc(String cf_rfc) {
    this.cf_rfc = cf_rfc;
    return this;
  }

   /**
   * Get cf_rfc
   * @return cf_rfc
  **/
  @ApiModelProperty(value = "")
  public String getcf_rfc() {
    return cf_rfc;
  }

  public void setcf_rfc(String cf_rfc) {
    this.cf_rfc = cf_rfc;
  }

  public CSolicitarRCAttributes cf_colonia_poblacion(String cf_colonia_poblacion) {
    this.cf_colonia_poblacion = cf_colonia_poblacion;
    return this;
  }

   /**
   * Get cf_colonia_poblacion
   * @return cf_colonia_poblacion
  **/
  @ApiModelProperty(value = "")
  public String getcf_colonia_poblacion() {
    return cf_colonia_poblacion;
  }

  public void setcf_colonia_poblacion(String cf_colonia_poblacion) {
    this.cf_colonia_poblacion = cf_colonia_poblacion;
  }

  public CSolicitarRCAttributes cf_estado(String cf_estado) {
    this.cf_estado = cf_estado;
    return this;
  }

   /**
   * Get cf_estado
   * @return cf_estado
  **/
  @ApiModelProperty(value = "")
  public String getcf_estado() {
    return cf_estado;
  }

  public void setcf_estado(String cf_estado) {
    this.cf_estado = cf_estado;
  }

  public CSolicitarRCAttributes cf_fecha_firma_autorizacion(String cf_fecha_firma_autorizacion) {
    this.cf_fecha_firma_autorizacion = cf_fecha_firma_autorizacion;
    return this;
  }

   /**
   * Get cf_fecha_firma_autorizacion
   * @return cf_fecha_firma_autorizacion
  **/
  @ApiModelProperty(value = "")
  public String getcf_fecha_firma_autorizacion() {
    return cf_fecha_firma_autorizacion;
  }

  public void setcf_fecha_firma_autorizacion(String cf_fecha_firma_autorizacion) {
    this.cf_fecha_firma_autorizacion = cf_fecha_firma_autorizacion;
  }

  public CSolicitarRCAttributes modifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
    return this;
  }

   /**
   * Get modifiedon
   * @return modifiedon
  **/
  @ApiModelProperty(value = "")
  public String getModifiedon() {
    return modifiedon;
  }

  public void setModifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
  }

  public CSolicitarRCAttributes statuscode(String statuscode) {
    this.statuscode = statuscode;
    return this;
  }

   /**
   * Get statuscode
   * @return statuscode
  **/
  @ApiModelProperty(value = "")
  public String getStatuscode() {
    return statuscode;
  }

  public void setStatuscode(String statuscode) {
    this.statuscode = statuscode;
  }

  public CSolicitarRCAttributes statecode(String statecode) {
    this.statecode = statecode;
    return this;
  }

   /**
   * Get statecode
   * @return statecode
  **/
  @ApiModelProperty(value = "")
  public String getStatecode() {
    return statecode;
  }

  public void setStatecode(String statecode) {
    this.statecode = statecode;
  }

  public CSolicitarRCAttributes cf_tipo_solicitantename(String cf_tipo_solicitantename) {
    this.cf_tipo_solicitantename = cf_tipo_solicitantename;
    return this;
  }

   /**
   * Get cf_tipo_solicitantename
   * @return cf_tipo_solicitantename
  **/
  @ApiModelProperty(value = "")
  public String getcf_tipo_solicitantename() {
    return cf_tipo_solicitantename;
  }

  public void setcf_tipo_solicitantename(String cf_tipo_solicitantename) {
    this.cf_tipo_solicitantename = cf_tipo_solicitantename;
  }

  public CSolicitarRCAttributes cf_seguimiento_contratacion_portalname(String cf_seguimiento_contratacion_portalname) {
    this.cf_seguimiento_contratacion_portalname = cf_seguimiento_contratacion_portalname;
    return this;
  }

   /**
   * Get cf_seguimiento_contratacion_portalname
   * @return cf_seguimiento_contratacion_portalname
  **/
  @ApiModelProperty(value = "")
  public String getcf_seguimiento_contratacion_portalname() {
    return cf_seguimiento_contratacion_portalname;
  }

  public void setcf_seguimiento_contratacion_portalname(String cf_seguimiento_contratacion_portalname) {
    this.cf_seguimiento_contratacion_portalname = cf_seguimiento_contratacion_portalname;
  }

  public CSolicitarRCAttributes statuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
    return this;
  }

   /**
   * Get statuscodename
   * @return statuscodename
  **/
  @ApiModelProperty(value = "")
  public String getStatuscodename() {
    return statuscodename;
  }

  public void setStatuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
  }

  public CSolicitarRCAttributes statecodename(String statecodename) {
    this.statecodename = statecodename;
    return this;
  }

   /**
   * Get statecodename
   * @return statecodename
  **/
  @ApiModelProperty(value = "")
  public String getStatecodename() {
    return statecodename;
  }

  public void setStatecodename(String statecodename) {
    this.statecodename = statecodename;
  }

  public CSolicitarRCAttributes cf_entrevistaname(String cf_entrevistaname) {
    this.cf_entrevistaname = cf_entrevistaname;
    return this;
  }

   /**
   * Get cf_entrevistaname
   * @return cf_entrevistaname
  **/
  @ApiModelProperty(value = "")
  public String getcf_entrevistaname() {
    return cf_entrevistaname;
  }

  public void setcf_entrevistaname(String cf_entrevistaname) {
    this.cf_entrevistaname = cf_entrevistaname;
  }

  public CSolicitarRCAttributes cf_clasificacion_prospectoname(String cf_clasificacion_prospectoname) {
    this.cf_clasificacion_prospectoname = cf_clasificacion_prospectoname;
    return this;
  }

   /**
   * Get cf_clasificacion_prospectoname
   * @return cf_clasificacion_prospectoname
  **/
  @ApiModelProperty(value = "")
  public String getcf_clasificacion_prospectoname() {
    return cf_clasificacion_prospectoname;
  }

  public void setcf_clasificacion_prospectoname(String cf_clasificacion_prospectoname) {
    this.cf_clasificacion_prospectoname = cf_clasificacion_prospectoname;
  }

  public CSolicitarRCAttributes cf_fraude_accionname(String cf_fraude_accionname) {
    this.cf_fraude_accionname = cf_fraude_accionname;
    return this;
  }

   /**
   * Get cf_fraude_accionname
   * @return cf_fraude_accionname
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_accionname() {
    return cf_fraude_accionname;
  }

  public void setcf_fraude_accionname(String cf_fraude_accionname) {
    this.cf_fraude_accionname = cf_fraude_accionname;
  }

  public CSolicitarRCAttributes cf_portal_etapaname(String cf_portal_etapaname) {
    this.cf_portal_etapaname = cf_portal_etapaname;
    return this;
  }

   /**
   * Get cf_portal_etapaname
   * @return cf_portal_etapaname
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_etapaname() {
    return cf_portal_etapaname;
  }

  public void setcf_portal_etapaname(String cf_portal_etapaname) {
    this.cf_portal_etapaname = cf_portal_etapaname;
  }

  public CSolicitarRCAttributes cf_portal_estatusname(String cf_portal_estatusname) {
    this.cf_portal_estatusname = cf_portal_estatusname;
    return this;
  }

   /**
   * Get cf_portal_estatusname
   * @return cf_portal_estatusname
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_estatusname() {
    return cf_portal_estatusname;
  }

  public void setcf_portal_estatusname(String cf_portal_estatusname) {
    this.cf_portal_estatusname = cf_portal_estatusname;
  }

  public CSolicitarRCAttributes _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name(String _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name) {
    this._cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name = _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name;
    return this;
  }

   /**
   * Get _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name
   * @return _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name
  **/
  @ApiModelProperty(value = "")
  public String get_cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name() {
    return _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name;
  }

  public void set_cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name(String _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name) {
    this._cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name = _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name;
  }

  public CSolicitarRCAttributes id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public CSolicitarRCAttributes result(Boolean result) {
    this.result = result;
    return this;
  }

   /**
   * Get result
   * @return result
  **/
  @ApiModelProperty(value = "")
  public Boolean isResult() {
    return result;
  }

  public void setResult(Boolean result) {
    this.result = result;
  }

  public CSolicitarRCAttributes message(String message) {
    this.message = message;
    return this;
  }

   /**
   * Get message
   * @return message
  **/
  @ApiModelProperty(value = "")
  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CSolicitarRCAttributes cSolicitarRCAttributes = (CSolicitarRCAttributes) o;
    return Objects.equals(this.cf_seguimiento_contratacion_portal, cSolicitarRCAttributes.cf_seguimiento_contratacion_portal) &&
        Objects.equals(this.cf_solicitar_rcid, cSolicitarRCAttributes.cf_solicitar_rcid) &&
        Objects.equals(this.createdon, cSolicitarRCAttributes.createdon) &&
        Objects.equals(this.cf_firma_electronica_fecha, cSolicitarRCAttributes.cf_firma_electronica_fecha) &&
        Objects.equals(this.cf_firma_electronica_solicitud, cSolicitarRCAttributes.cf_firma_electronica_solicitud) &&
        Objects.equals(this.cf_firma_electronica_estatus, cSolicitarRCAttributes.cf_firma_electronica_estatus) &&
        Objects.equals(this.cf_firma_electronica_documentoid, cSolicitarRCAttributes.cf_firma_electronica_documentoid) &&
        Objects.equals(this.emailaddress, cSolicitarRCAttributes.emailaddress) &&
        Objects.equals(this.cf_primer_nombre, cSolicitarRCAttributes.cf_primer_nombre) &&
        Objects.equals(this.cf_segundo_nombre, cSolicitarRCAttributes.cf_segundo_nombre) &&
        Objects.equals(this.cf_apellido_paterno, cSolicitarRCAttributes.cf_apellido_paterno) &&
        Objects.equals(this.cf_apellido_materno, cSolicitarRCAttributes.cf_apellido_materno) &&
        Objects.equals(this.cf_name, cSolicitarRCAttributes.cf_name) &&
        Objects.equals(this.cf_calle_numero, cSolicitarRCAttributes.cf_calle_numero) &&
        Objects.equals(this.cf_municipio, cSolicitarRCAttributes.cf_municipio) &&
        Objects.equals(this.cf_codigo_postal, cSolicitarRCAttributes.cf_codigo_postal) &&
        Objects.equals(this.cf_ciudad, cSolicitarRCAttributes.cf_ciudad) &&
        Objects.equals(this.cf_telefono, cSolicitarRCAttributes.cf_telefono) &&
        Objects.equals(this.cf_tipo_solicitante, cSolicitarRCAttributes.cf_tipo_solicitante) &&
        Objects.equals(this.cf_rfc, cSolicitarRCAttributes.cf_rfc) &&
        Objects.equals(this.cf_colonia_poblacion, cSolicitarRCAttributes.cf_colonia_poblacion) &&
        Objects.equals(this.cf_estado, cSolicitarRCAttributes.cf_estado) &&
        Objects.equals(this.cf_fecha_firma_autorizacion, cSolicitarRCAttributes.cf_fecha_firma_autorizacion) &&
        Objects.equals(this.modifiedon, cSolicitarRCAttributes.modifiedon) &&
        Objects.equals(this.statuscode, cSolicitarRCAttributes.statuscode) &&
        Objects.equals(this.statecode, cSolicitarRCAttributes.statecode) &&
        Objects.equals(this.cf_tipo_solicitantename, cSolicitarRCAttributes.cf_tipo_solicitantename) &&
        Objects.equals(this.cf_seguimiento_contratacion_portalname, cSolicitarRCAttributes.cf_seguimiento_contratacion_portalname) &&
        Objects.equals(this.statuscodename, cSolicitarRCAttributes.statuscodename) &&
        Objects.equals(this.statecodename, cSolicitarRCAttributes.statecodename) &&
        Objects.equals(this.cf_entrevistaname, cSolicitarRCAttributes.cf_entrevistaname) &&
        Objects.equals(this.cf_clasificacion_prospectoname, cSolicitarRCAttributes.cf_clasificacion_prospectoname) &&
        Objects.equals(this.cf_fraude_accionname, cSolicitarRCAttributes.cf_fraude_accionname) &&
        Objects.equals(this.cf_portal_etapaname, cSolicitarRCAttributes.cf_portal_etapaname) &&
        Objects.equals(this.cf_portal_estatusname, cSolicitarRCAttributes.cf_portal_estatusname) &&
        Objects.equals(this._cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name, cSolicitarRCAttributes._cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name) &&
        Objects.equals(this.id, cSolicitarRCAttributes.id) &&
        Objects.equals(this.result, cSolicitarRCAttributes.result) &&
        Objects.equals(this.message, cSolicitarRCAttributes.message);
  }

  @Override
  public int hashCode() {
    return Objects.hash(cf_seguimiento_contratacion_portal, cf_solicitar_rcid, createdon, cf_firma_electronica_fecha, cf_firma_electronica_solicitud, cf_firma_electronica_estatus, cf_firma_electronica_documentoid, emailaddress, cf_primer_nombre, cf_segundo_nombre, cf_apellido_paterno, cf_apellido_materno, cf_name, cf_calle_numero, cf_municipio, cf_codigo_postal, cf_ciudad, cf_telefono, cf_tipo_solicitante, cf_rfc, cf_colonia_poblacion, cf_estado, cf_fecha_firma_autorizacion, modifiedon, statuscode, statecode, cf_tipo_solicitantename, cf_seguimiento_contratacion_portalname, statuscodename, statecodename, cf_entrevistaname, cf_clasificacion_prospectoname, cf_fraude_accionname, cf_portal_etapaname, cf_portal_estatusname, _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name, id, result, message);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CSolicitarRCAttributes {\n");
    
    sb.append("    cf_seguimiento_contratacion_portal: ").append(toIndentedString(cf_seguimiento_contratacion_portal)).append("\n");
    sb.append("    cf_solicitar_rcid: ").append(toIndentedString(cf_solicitar_rcid)).append("\n");
    sb.append("    createdon: ").append(toIndentedString(createdon)).append("\n");
    sb.append("    cf_firma_electronica_fecha: ").append(toIndentedString(cf_firma_electronica_fecha)).append("\n");
    sb.append("    cf_firma_electronica_solicitud: ").append(toIndentedString(cf_firma_electronica_solicitud)).append("\n");
    sb.append("    cf_firma_electronica_estatus: ").append(toIndentedString(cf_firma_electronica_estatus)).append("\n");
    sb.append("    cf_firma_electronica_documentoid: ").append(toIndentedString(cf_firma_electronica_documentoid)).append("\n");
    sb.append("    emailaddress: ").append(toIndentedString(emailaddress)).append("\n");
    sb.append("    cf_primer_nombre: ").append(toIndentedString(cf_primer_nombre)).append("\n");
    sb.append("    cf_segundo_nombre: ").append(toIndentedString(cf_segundo_nombre)).append("\n");
    sb.append("    cf_apellido_paterno: ").append(toIndentedString(cf_apellido_paterno)).append("\n");
    sb.append("    cf_apellido_materno: ").append(toIndentedString(cf_apellido_materno)).append("\n");
    sb.append("    cf_name: ").append(toIndentedString(cf_name)).append("\n");
    sb.append("    cf_calle_numero: ").append(toIndentedString(cf_calle_numero)).append("\n");
    sb.append("    cf_municipio: ").append(toIndentedString(cf_municipio)).append("\n");
    sb.append("    cf_codigo_postal: ").append(toIndentedString(cf_codigo_postal)).append("\n");
    sb.append("    cf_ciudad: ").append(toIndentedString(cf_ciudad)).append("\n");
    sb.append("    cf_telefono: ").append(toIndentedString(cf_telefono)).append("\n");
    sb.append("    cf_tipo_solicitante: ").append(toIndentedString(cf_tipo_solicitante)).append("\n");
    sb.append("    cf_rfc: ").append(toIndentedString(cf_rfc)).append("\n");
    sb.append("    cf_colonia_poblacion: ").append(toIndentedString(cf_colonia_poblacion)).append("\n");
    sb.append("    cf_estado: ").append(toIndentedString(cf_estado)).append("\n");
    sb.append("    cf_fecha_firma_autorizacion: ").append(toIndentedString(cf_fecha_firma_autorizacion)).append("\n");
    sb.append("    modifiedon: ").append(toIndentedString(modifiedon)).append("\n");
    sb.append("    statuscode: ").append(toIndentedString(statuscode)).append("\n");
    sb.append("    statecode: ").append(toIndentedString(statecode)).append("\n");
    sb.append("    cf_tipo_solicitantename: ").append(toIndentedString(cf_tipo_solicitantename)).append("\n");
    sb.append("    cf_seguimiento_contratacion_portalname: ").append(toIndentedString(cf_seguimiento_contratacion_portalname)).append("\n");
    sb.append("    statuscodename: ").append(toIndentedString(statuscodename)).append("\n");
    sb.append("    statecodename: ").append(toIndentedString(statecodename)).append("\n");
    sb.append("    cf_entrevistaname: ").append(toIndentedString(cf_entrevistaname)).append("\n");
    sb.append("    cf_clasificacion_prospectoname: ").append(toIndentedString(cf_clasificacion_prospectoname)).append("\n");
    sb.append("    cf_fraude_accionname: ").append(toIndentedString(cf_fraude_accionname)).append("\n");
    sb.append("    cf_portal_etapaname: ").append(toIndentedString(cf_portal_etapaname)).append("\n");
    sb.append("    cf_portal_estatusname: ").append(toIndentedString(cf_portal_estatusname)).append("\n");
    sb.append("    _cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name: ").append(toIndentedString(_cf_seguimiento_contratacion_portal_cf_seguimiento_contratacion_portal_cf_name)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    result: ").append(toIndentedString(result)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

